mouse.c File Reference
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <string.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <errno.h>`
`#include <termios.h>`
`#include <sys/stat.h>`
`#include <sys/types.h>`
`#include <sys/time.h>`
`#include <sys/ioctl.h>`
`#include "hd.h"`
`#include "hd_int.h"`
`#include "mouse.h"`

## Functions

static void | get_serial_mouse (hd_data_t *hd_data)
static void | add_serial_mouse (hd_data_t *hd_data)
static int | _setspeed (int fd, int old, int new, int needtowrite, unsigned short flags)
static void | setspeed (int fd, int new, int needtowrite, unsigned short flags)
static unsigned | chk4id (ser_device_t *mi)
static ser_device_t * | add_ser_mouse_entry (ser_device_t **sm, ser_device_t *new_sm)
static void | dump_ser_mouse_data (hd_data_t *hd_data)
void | hd_scan_mouse (hd_data_t *hd_data)